/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import javax.swing.tree.*;
import java.io.*; //for archivation

public abstract class AbstractInstance extends LinkingAndSelectableNodeObject implements Serializable
{
   public AbstractInstance()
   {
   }

   public DefaultMutableTreeNode getTheParent()
   {
     return (DefaultMutableTreeNode) this.getParent();
   }

   abstract public Object clone();

   abstract public byte getType(); //return INSTANCE_TYPE_[EXTERN_]MOBILE or INSTANCE_TYPE_[EXTERN_]OBJECT
   abstract public String toString();

   public void writeObject(ObjectOutputStream output) throws IOException
   {
      output.writeLong(super.getObjectID());
   }

   public void readObject(ObjectInputStream input) throws IOException, ClassNotFoundException
   {
      super.setObjectID(input.readLong());
   }

   public void establishLinks()
   {
   }
 }