/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.*;
import java.util.*; //pour StringTokenizer

public class AnatoliaPracticersReader extends AnatoliaAreReader
{
  public AnatoliaPracticersReader(AreaMap areaMap)
  {
    super(areaMap);
  }

  public void read(BufferedReader input) throws IOException
  {
    String line = super.trim(input);
    StringTokenizer tokens = null;
    while(!line.startsWith("S"))
    {
      //<M> <vnum> <prac group>
      tokens = new StringTokenizer(line);
      String M = tokens.nextToken();
      int vnum = MyInteger.parseInt(tokens.nextToken());
      String group = tokens.nextToken(" \t\n\r\f"+"*");
      AnatoliaMobile mobile = (AnatoliaMobile) areaMap.theMobiles.getAnatoliaThingOfVnum(vnum);
      int group_prac = AreaBuilderConsts.findInTab(AnatoliaConsts.mobilePracticerTexts, group);
      if (group_prac>=0) mobile.practicer[group_prac] = true;

      line = super.trim(input);
    }
  }
}