/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.*; //for archivation

public class InstanceOfMobile extends AbstractInstance implements Serializable
{
  AnatoliaMobile anatoliaMobile = null;
  long anatoliaMobileID = 0;

  public InstanceOfMobile(AnatoliaMobile anatoliaMobile)
  {
     super();
     this.anatoliaMobile = anatoliaMobile;
     this.anatoliaMobileID = 0;
  }

  public Object clone()
  {
    return new InstanceOfMobile(anatoliaMobile);
  }

  public byte getType() {return AreaBuilderConsts.INSTANCE_TYPE_MOBILE;}

  public String toString()
  {
     if (anatoliaMobile != null)
       return anatoliaMobile.toString();
     else
       return "";
  }

  public void writeObject(ObjectOutputStream output) throws IOException
  {
     super.writeObject(output);
     output.writeLong(anatoliaMobile.getObjectID());
  }

  public void readObject(ObjectInputStream input) throws IOException, ClassNotFoundException
  {
     super.readObject(input);
     this.anatoliaMobileID = input.readLong();
  }

  public void establishLinks()
  {
     super.establishLinks();
     this.anatoliaMobile = (AnatoliaMobile) LinkingAndSelectableNodeObject.lookForObjectOfID(this.anatoliaMobileID);
  }
}