/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;

public class MyTreeCellRenderer extends DefaultTreeCellRenderer
{

  public MyTreeCellRenderer()
  {
  }

  public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel,
                                                boolean expanded, boolean leaf, int row,
                                                boolean hasFocus)
  {
        super.getTreeCellRendererComponent(tree, value, sel,expanded, leaf, row, hasFocus);
        try
        {
           InstanceOfMobile mobile = (InstanceOfMobile) value;
           if (!mobile.anatoliaMobile.isExtern())
             setIcon(Icones.mobilesTreeIcons[0]);
           else
             setIcon(Icones.mobilesTreeIcons[1]);
           return this;
        }
        catch(Exception e) {}
        try
        {
           InstanceOfObject object = (InstanceOfObject) value;
           setIcon(Icones.getIcon(object.anatoliaObject));
           return this;
        }
        catch(Exception e) {}
        try
        {
           AnatoliaRoom room = (AnatoliaRoom) value;
           if (!room.isExtern())
             setIcon(Icones.roomsTreeIcons[room.sectorType]);
           else
             setIcon(Icones.roomsTreeIcons[Icones.roomsTreeIcons.length-1]);
           return this;
        }
        catch(Exception e) {}

        return this;
    }
}